## docdiff 0.3.0

=== Makefile ===
PACKAGE = docdiff
VERSION = 0.3.0
# DATE = `date +%Y%m%d`
DIST = ChangeLog Makefile devutil docdiff docdiff.conf.example docdiff.rb \
       readme.html sample \
       testcharstring.rb testdiff.rb testdifference.rb testdocdiff.rb testdocument.rb testview.rb
# PWDBASE = `pwd | sed "s|^.*[/\\]||"`

test:
	ruby testcharstring.rb && \
	ruby testdocument.rb && \
	ruby testdiff.rb && \
	ruby testdifference.rb && \
	ruby testview.rb && \
	ruby testdocdiff.rb

dist: $(DIST)
	rm -f ChangeLog
	cvs2cl
	rm -fr $(PACKAGE)-$(VERSION)
	mkdir $(PACKAGE)-$(VERSION)
	cp -rp $(DIST) $(PACKAGE)-$(VERSION)
	tar zvcf $(PACKAGE)-$(VERSION).tar.gz $(PACKAGE)-$(VERSION)
	rm -fr $(PACKAGE)-$(VERSION)

# tar:
# 	(cd ..; \
# 	tar --create --verbose --gzip \
# 	--exclude CVS --exclude junk --exclude tmp --exclude old --exclude "#*#" --exclude "~*"\
# 	-f $(PACKAGE)-snapshot$(DATE).tar.gz $(PWDBASE))
# pwdbase:
# 	echo $(PWDBASE)

## docdiff 0.3.1

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 PACKAGE = docdiff
-VERSION = 0.3.0
+VERSION = 0.3.1
 # DATE = `date +%Y%m%d`
 DIST = ChangeLog Makefile devutil docdiff docdiff.conf.example docdiff.rb \
        readme.html sample \
@@ -20,7 +20,7 @@
 	rm -fr $(PACKAGE)-$(VERSION)
 	mkdir $(PACKAGE)-$(VERSION)
 	cp -rp $(DIST) $(PACKAGE)-$(VERSION)
-	tar zvcf $(PACKAGE)-$(VERSION).tar.gz $(PACKAGE)-$(VERSION)
+	tar -z -v -c --exclude CVS -f $(PACKAGE)-$(VERSION).tar.gz $(PACKAGE)-$(VERSION)
 	rm -fr $(PACKAGE)-$(VERSION)
 
 # tar:

## docdiff 0.3.2

=== Makefile ===
PACKAGE = docdiff
VERSION = 0.3.2
# DATE = `date +%Y%m%d`
DIST = ChangeLog Makefile devutil docdiff docdiff.conf.example docdiff.rb \
       readme.html readme.en.html readme.ja.html sample \
       testcharstring.rb testdiff.rb testdifference.rb testdocdiff.rb testdocument.rb testview.rb
# PWDBASE = `pwd | sed "s|^.*[/\\]||"`

test:
	ruby testcharstring.rb && \
	ruby testdocument.rb && \
	ruby testdiff.rb && \
	ruby testdifference.rb && \
	ruby testview.rb && \
	ruby testdocdiff.rb

ChangeLog:
	svn log -rHEAD:0 -v > ChangeLog
	# For real ChangeLog style, try svn2cl.xsl at http://tiefighter.et.tudelft.nl/~arthur/svn2cl/

readme.en.html: readme.html
	rm -f readme.en.html
	ruby -e 'print ARGF.read.gsub(/<([a-z]+) +(?:lang="ja"|title="ja").*?>.*?<\/\1>[\r\n]?/m, "")' readme.html > readme.en.html
readme.ja.html: readme.html
	ruby -e 'print ARGF.read.gsub(/<([a-z]+) +(?:lang="en"|title="en").*?>.*?<\/\1>[\r\n]?/m, "")' readme.html > readme.ja.html

document: ChangeLog readme.en.html readme.ja.html

dist: $(DIST)
	rm -fr $(PACKAGE)-$(VERSION)
	mkdir $(PACKAGE)-$(VERSION)
	cp -rp $(DIST) $(PACKAGE)-$(VERSION)
	tar -z -v -c --exclude "*/.svn" -f $(PACKAGE)-$(VERSION).tar.gz $(PACKAGE)-$(VERSION)
	rm -fr $(PACKAGE)-$(VERSION)

clean:
	rm -f ChangeLog
	rm -f readme.en.html
	rm -f readme.ja.html
	rm -f $(PACKAGE)-$(VERSION).tar.gz

## docdiff 0.3.3

=== Makefile ===
--- 
+++ 
@@ -1,18 +1,26 @@
 PACKAGE = docdiff
-VERSION = 0.3.2
+VERSION = 0.3.3
 # DATE = `date +%Y%m%d`
 DIST = ChangeLog Makefile devutil docdiff docdiff.conf.example docdiff.rb \
-       readme.html readme.en.html readme.ja.html sample \
+       docdiffwebui.html docdiffwebui.cgi \
+       index.html img readme.html readme.en.html readme.ja.html sample \
        testcharstring.rb testdiff.rb testdifference.rb testdocdiff.rb testdocument.rb testview.rb
 # PWDBASE = `pwd | sed "s|^.*[/\\]||"`
 
-test:
-	ruby testcharstring.rb && \
-	ruby testdocument.rb && \
-	ruby testdiff.rb && \
-	ruby testdifference.rb && \
-	ruby testview.rb && \
+test: testdocdiff testcharstring testdocument testdiff testdifference testview
+
+testdocdiff:
 	ruby testdocdiff.rb
+testcharstring:
+	ruby testcharstring.rb
+testdocument:
+	ruby testdocument.rb
+testdiff:
+	ruby testdiff.rb
+testdifference:
+	ruby testdifference.rb
+testview:
+	ruby testview.rb
 
 ChangeLog:
 	svn log -rHEAD:0 -v > ChangeLog
@@ -37,4 +45,6 @@
 	rm -f ChangeLog
 	rm -f readme.en.html
 	rm -f readme.ja.html
+
+distclean: clean
 	rm -f $(PACKAGE)-$(VERSION).tar.gz

## docdiff 0.3.4

=== Makefile ===
PACKAGE = docdiff
VERSION = 0.3.4
RUBY = ruby
# DATE = `date +%Y%m%d`
DIST = ChangeLog Makefile devutil docdiff docdiff.conf.example docdiff.rb \
       docdiffwebui.html docdiffwebui.cgi \
       index.html img readme.html readme.en.html readme.ja.html sample \
       testcharstring.rb testdiff.rb testdifference.rb testdocdiff.rb testdocument.rb testview.rb
# PWDBASE = `pwd | sed "s|^.*[/\\]||"`

test: testdocdiff testcharstring testdocument testdiff testdifference testview testviewdiff

testdocdiff:
	$(RUBY) -I. testdocdiff.rb
testcharstring:
	$(RUBY) -I. testcharstring.rb
testdocument:
	$(RUBY) -I. testdocument.rb
testdiff:
	$(RUBY) -I. testdiff.rb
testdifference:
	$(RUBY) -I. testdifference.rb
testview:
	$(RUBY) -I. testview.rb
testviewdiff:
	$(RUBY) -I. testviewdiff.rb

ChangeLog:
	svn log -rHEAD:0 -v > ChangeLog
	# For real ChangeLog style, try svn2cl.xsl at http://tiefighter.et.tudelft.nl/~arthur/svn2cl/

readme.en.html: readme.html
	rm -f readme.en.html
	$(RUBY) -e 'print ARGF.read.gsub(/<([a-z]+) +(?:lang="ja"|title="ja").*?>.*?<\/\1>[\r\n]?/m, "")' readme.html > readme.en.html
readme.ja.html: readme.html
	$(RUBY) -e 'print ARGF.read.gsub(/<([a-z]+) +(?:lang="en"|title="en").*?>.*?<\/\1>[\r\n]?/m, "")' readme.html > readme.ja.html

document: ChangeLog readme.en.html readme.ja.html

dist: $(DIST)
	rm -fr $(PACKAGE)-$(VERSION)
	mkdir $(PACKAGE)-$(VERSION)
	cp -rp $(DIST) $(PACKAGE)-$(VERSION)
	tar -z -v -c --exclude "*/.svn" -f $(PACKAGE)-$(VERSION).tar.gz $(PACKAGE)-$(VERSION)
	rm -fr $(PACKAGE)-$(VERSION)

clean:
	rm -f ChangeLog
	rm -f readme.en.html
	rm -f readme.ja.html

distclean: clean
	rm -f $(PACKAGE)-$(VERSION).tar.gz

## docdiff 0.4.0

=== Makefile ===
PRODUCT = docdiff
VERSION = 0.4.0
RUBY = ruby
TAR_XVCS = tar --exclude=.svn --exclude=.git

DOCS   = ChangeLog readme.en.html readme.ja.html \
         index.en.html index.ja.html
DOCSRC = readme.html index.html img sample
TESTS  = testcharstring.rb testdiff.rb testdifference.rb \
         testdocdiff.rb testdocument.rb testview.rb
DIST   = Makefile devutil docdiff docdiff.conf.example docdiff.rb \
         docdiffwebui.html docdiffwebui.cgi \
         $(DOCSRC) $(DOCS) $(TESTS)
TESTLOGS = testdocdiff.log testcharstring.log testdocument.log \
         testdiff.log testdifference.log testview.log testviewdiff.log

WWWUSER = hisashim,docdiff
WWWSITE = web.sourceforge.net
WWWSITEPATH = htdocs/
WWWDRYRUN = --dry-run

DESTDIR =
PREFIX  = /usr/local
datadir = $(DESTDIR)$(PREFIX)/share
rubylibdir = $(shell $(RUBY) -rrbconfig -e \
                             "Config::CONFIG['rubylibdir'].display")

all:	$(DOCS)

testall:
	$(MAKE) test RUBY=ruby1.9.1
	$(MAKE) test RUBY=ruby1.8

test: $(TESTLOGS)

test%.log:
	$(RUBY) -I. test$*.rb | tee $@

docs:	$(DOCS)

ChangeLog:
# For real ChangeLog style, try http://arthurdejong.org/svn2cl/
	if [ -d .svn ] ; then \
	  svn log -rHEAD:0 -v > ChangeLog ; \
	else \
	  git svn log > ChangeLog ; \
	fi

readme.%.html: readme.html
	$(RUBY) -Ku langfilter.rb --$* $< > $@
index.%.html: index.html
	$(RUBY) -Ku langfilter.rb --$* $< > $@

install: $(DIST)
	@if [ ! -d $(DESTDIR)$(PREFIX)/bin ]; then \
	  mkdir -p $(DESTDIR)$(PREFIX)/bin; \
	fi
	cp -Ppv docdiff.rb $(DESTDIR)$(PREFIX)/bin/docdiff
	chmod +x $(DESTDIR)$(PREFIX)/bin/docdiff

	@if [ ! -d $(DESTDIR)$(rubylibdir) ]; then \
	  mkdir -p $(DESTDIR)$(rubylibdir); \
	fi
	($(TAR_XVCS) -cf - docdiff) | (cd $(DESTDIR)$(rubylibdir) && tar -xpf -)

	@if [ ! -d $(DESTDIR)/etc/$(PRODUCT) ]; then \
	  mkdir -p $(DESTDIR)/etc/$(PRODUCT); \
	fi
	cp -Pprv docdiff.conf.example $(DESTDIR)/etc/$(PRODUCT)/docdiff.conf

	@if [ ! -d $(datadir)/doc/$(PRODUCT) ]; then \
	  mkdir -p $(datadir)/doc/$(PRODUCT); \
	fi
	cp -Pprv $(DOCSRC) $(DOCS) $(datadir)/doc/$(PRODUCT)

uninstall:
	-rm -fr $(DESTDIR)$(PREFIX)/bin/docdiff
	-rm -fr $(DESTDIR)$(rubylibdir)/$(PRODUCT)
	-rm -fr $(DESTDIR)/etc/$(PRODUCT)
	-rm -fr $(datadir)/doc/$(PRODUCT)

dist: $(DIST)
	mkdir $(PRODUCT)-$(VERSION)
	cp -rp $(DIST) $(PRODUCT)-$(VERSION)
	$(TAR_XVCS) -zvcf $(PRODUCT)-$(VERSION).tar.gz $(PRODUCT)-$(VERSION)
	-rm -fr $(PRODUCT)-$(VERSION)

wwwupload:
	$(MAKE) www WWWDRYRUN=
www: $(DOCSRC) $(DOCS)
	rsync $(WWWDRYRUN) -auv -e ssh --delete \
	  --exclude='.svn' --exclude='.git' \
	  $(DOCSRC) $(DOCS) \
	  $(WWWUSER)@$(WWWSITE):$(WWWSITEPATH)

clean:
	-rm -fr $(DOCS)
	-rm -fr $(TESTLOGS)

distclean: clean
	-rm -fr $(PRODUCT)-$(VERSION).tar.gz

.PHONY:	all testall test docs install uninstall dist \
	wwwupload www clean distclean

=== debian/changelog ===
docdiff (0.4.0-2) unstable; urgency=low

  * Switch rubylibdir to /usr/lib/ruby/vendor_ruby to follow new Ruby policy.
  * Applied Jari's 'Helping to update to packaging format 3.0' patch.
    Thanks. (Closes: #670272)
  * Remove deprecated dpatch and upgrade to packaging format "3.0 quilt".
  * Update to Standards-Version to 3.9.3 and debhelper to 9.
  * Fix clean-should-be-satisfied-by-build-depends cdbs debhelper (Lintian).
  * Fix copyright-without-copyright-notice (Lintian).
  * Fix no-homepage-field (Lintian).

 -- Kenshi Muto <kmuto@debian.org>  Sat, 30 Jun 2012 20:07:46 +0900

docdiff (0.4.0-1) unstable; urgency=low

  * New upstream release
  * Apply upstream svn update r193-r196.
    - r196: Add preliminary support for RubyGems, thanks to takahashim
      and sakuro.
    - r195: Update comments and such.
    - r194: Switch library install directory from rubylibdir (e.g.
      /usr/lib/ruby/1.9.1) to datadir (e.g. /usr/share) for 1.9/1.8
      compatibility.
  * Modify dependency: Remove libiconv-ruby1.8 from Depends because
    it is included in the ruby binary package. Add ruby1.9.1 for
    alternatives of ruby which points ruby1.8 at this time.

 -- Kenshi Muto <kmuto@debian.org>  Sat, 26 Feb 2011 17:36:37 +0900

docdiff (0.3.4-1) unstable; urgency=low

  * New upstream release
  * Specify implicit ruby version (current 1.8) to docdiff script. 
    (closes: #301910)
  * Ready to accept ignore-whitespace and wordwrap patches contributed from
    Andrew. Thanks. But because they cause unit-test failure, I disable
    them at this time. I'll enable them when upstream accept.
    (#452737)

 -- Kenshi Muto <kmuto@debian.org>  Mon, 10 Dec 2007 05:24:26 +0000

docdiff (0.3.3-1) unstable; urgency=low

  * New upstream release
  * Apply embeded anchor patch (closes: #346365)

 -- Kenshi Muto <kmuto@debian.org>  Sat,  4 Feb 2006 03:23:55 +0000

docdiff (0.3.2-1) unstable; urgency=low

  * New upstream release

 -- Kenshi Muto <kmuto@debian.org>  Tue,  8 Feb 2005 20:19:28 +0900

docdiff (0.3.1-2) unstable; urgency=low

  * New maintainer.
  * Fix build-dep. This solves #291089 indeed.

 -- Kenshi Muto <kmuto@debian.org>  Tue,  8 Feb 2005 20:03:38 +0900

docdiff (0.3.1-1) unstable; urgency=low

  * new upstream version.
  * added debian/watch file.

 -- akira yamada <akira@debian.org>  Sat,  9 Oct 2004 13:42:24 +0900

docdiff (0.3.0-2) unstable; urgency=high

  * debian/control: docdiff depends on ruby1.8 and libiconv-ruby1.8.
    (closes: #267176)
  * debian/manpage.sgml: removed desciption about "--format=terminal" and
    "--format=stat".  (closes: #267159, #267160)

 -- akira yamada <akira@debian.org>  Wed, 25 Aug 2004 13:47:53 +0900

docdiff (0.3.0-1) unstable; urgency=low

  * new upstream version.
  * updated description.  Thanks to Hisashi MORITA.

 -- akira yamada <akira@debian.org>  Thu,  3 Jun 2004 15:10:49 +0900

docdiff (0.1.8+0.3.0rc3-1) unstable; urgency=low

  * new upstream version. (0.3.0 RC3)

 -- akira yamada <akira@debian.org>  Mon, 17 May 2004 01:17:03 +0900

docdiff (0.1.8+0.3.0pre20040411-1) unstable; urgency=low

  * new upstream version. (0.3.0 RC)
  * removed chasen from Suggests.  docdiff-0.3.0 does not require ChaSen at
    any time.
  * updated debian/copyright.
  
 -- akira yamada <akira@debian.org>  Sat, 15 May 2004 03:09:08 +0900

docdiff (0.1.8-1) unstable; urgency=low

  * new upstream version.
  * the version of docdiff reads ~/.chasenrc.docdiff or /etc/docdiff/chasenrc.
    this package provides /etc/docdiff/chasenrc. (closes: #192261)

 -- akira yamada <akira@debian.org>  Sun, 14 Dec 2003 14:45:09 +0900

docdiff (0.1.5-4) unstable; urgency=low

  * added docbook-to-man to Build-Depends-Indep, closes: #134908.
    Thanks to Matt Hope <dopey@debian.org> and Otavio Real Salvador
    <otavio@freedom.ind.br>.

 -- akira yamada <akira@debian.org>  Mon, 25 Feb 2002 15:26:33 +0900

docdiff (0.1.5-3) unstable; urgency=low

  * Suggests: chasen (closes: #92585, #97142)
  * docdiff.sgml: removed sentence "it  has documentation in the GNU
    Info format; see below" because no info file available
    (closes: #97143)

 -- akira yamada <akira@debian.org>  Sat, 19 May 2001 13:00:49 +0900

docdiff (0.1.5-2) unstable; urgency=low

  * Depends: diff.
  * rewrite .chasenrc.docdiff for ipadic.

 -- akira yamada <akira@debian.org>  Thu, 15 Mar 2001 17:11:29 +0900

docdiff (0.1.5-1) unstable; urgency=low

  * Initial Release.

 -- akira yamada <akira@debian.org>  Wed,  7 Feb 2001 15:48:59 +0900

=== debian/control ===
Source: docdiff
Section: text
Priority: optional
Maintainer: Kenshi Muto <kmuto@debian.org>
Build-Depends: debhelper (>= 9), cdbs (>= 0.4.27)
Build-Depends-Indep: ruby, ruby-dev, docbook-to-man
Standards-Version: 3.9.3
Homepage: http://sourceforge.net/projects/docdiff

Package: docdiff
Architecture: all
Depends: ${misc:Depends}, ruby | ruby-interpreter
Suggests: httpd
Description: Compares two files word by word / char by char
 DocDiff compares two files and shows the difference.  It can compare files
 word by word, char by char, or line by line. 
 .
 It has several output formats such as HTML/XHTML, tty, Manued, or
 user-defined markup.  It supports several encodings and end-of-line
 characters, including ASCII, UTF-8, EUC-JP, Shift_JIS, CR, LF, and CRLF.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/cdbs/1/rules/debhelper.mk

DEB_MAKE_CLEAN_TARGET = 
DEB_MAKE_BUILD_TARGET =
DEB_MAKE_INSTALL_TARGET =
RUBY := ruby1.9.1
RLIBDIR := /usr/lib/ruby/vendor_ruby

clean::
	-rm -f docdiff.1

build/docdiff::
	/usr/bin/docbook-to-man debian/manpage.sgml > docdiff.1

install/docdiff::
	install -o root -g root -d $(DEB_DESTDIR)$(RLIBDIR)
	tar cf - docdiff | ( cd $(DEB_DESTDIR)$(RLIBDIR) && tar xvf -)
	install -o root -g root -m 0755 docdiff.rb $(DEB_DESTDIR)/usr/bin/docdiff
	install -o root -g root -m 0644 docdiff.conf.example $(DEB_DESTDIR)/etc/docdiff/docdiff.conf
	install -o root -g root -m 0644 docdiff.1 $(DEB_DESTDIR)/usr/share/man/man1

=== debian/watch ===
version=2
http://www.kt.rim.or.jp/~hisashim/docdiff/docdiff-([0-9].*)\.tar\.gz

## docdiff 0.5.0

=== Makefile ===
PRODUCT = docdiff
VERSION = $(shell $(RUBY) -r./lib/docdiff/version.rb -e 'Docdiff::VERSION.display')
RUBY = ruby
TAR_XVCS = tar --exclude=.svn --exclude=.git

DOCS   = ChangeLog readme.en.html readme.ja.html \
         index.en.html index.ja.html
DOCSRC = readme.html index.html img sample
TESTS  = test/*_test.rb
DIST   = Makefile devutil lib docdiff.conf.example bin/docdiff \
         docdiff.gemspec \
         docdiffwebui.html docdiffwebui.cgi \
         $(DOCSRC) $(DOCS) $(TESTS)
TESTLOGS = $(foreach t,\
                     $(wildcard test/*_test.rb),\
                     $(t:test/%_test.rb=%_test.log)) \

WWWUSER = hisashim,docdiff
WWWSITE = web.sourceforge.net
WWWSITEPATH = htdocs/
WWWDRYRUN = --dry-run

DESTDIR =
PREFIX  = /usr/local
datadir = $(DESTDIR)$(PREFIX)/share

all:	$(DOCS)

testall:
	$(MAKE) test RUBY=ruby1.9.1
	$(MAKE) test RUBY=ruby1.8

test: $(TESTLOGS)

%_test.log:
	$(RUBY) -I./lib test/$*_test.rb | tee $@

docs:	$(DOCS)

ChangeLog:
	devutil/changelog.sh > $@

readme.%.html: readme.html
	$(RUBY) -Ku langfilter.rb --$* $< > $@
index.%.html: index.html
	$(RUBY) -Ku langfilter.rb --$* $< > $@

install: $(DIST)
	@if [ ! -d $(DESTDIR)$(PREFIX)/bin ]; then \
	  mkdir -p $(DESTDIR)$(PREFIX)/bin; \
	fi
	cp -Ppv bin/docdiff $(DESTDIR)$(PREFIX)/bin/
	chmod +x $(DESTDIR)$(PREFIX)/bin/docdiff

	@if [ ! -d $(datadir)/$(PRODUCT) ]; then \
	  mkdir -p $(datadir)/$(PRODUCT); \
	fi
	(cd lib && $(TAR_XVCS) -cf - *) | (cd $(datadir)/$(PRODUCT) && tar -xpf -)

	@if [ ! -d $(DESTDIR)/etc/$(PRODUCT) ]; then \
	  mkdir -p $(DESTDIR)/etc/$(PRODUCT); \
	fi
	cp -Pprv docdiff.conf.example $(DESTDIR)/etc/$(PRODUCT)/docdiff.conf

	@if [ ! -d $(datadir)/doc/$(PRODUCT) ]; then \
	  mkdir -p $(datadir)/doc/$(PRODUCT); \
	fi
	cp -Pprv $(DOCSRC) $(DOCS) $(datadir)/doc/$(PRODUCT)

uninstall:
	-rm -fr $(DESTDIR)$(PREFIX)/bin/docdiff
	-rm -fr $(datadir)/$(PRODUCT)
	-rm -fr $(DESTDIR)/etc/$(PRODUCT)
	-rm -fr $(datadir)/doc/$(PRODUCT)

dist: $(DIST)
	mkdir $(PRODUCT)-$(VERSION)
	cp -rp $(DIST) $(PRODUCT)-$(VERSION)
	$(TAR_XVCS) -zvcf $(PRODUCT)-$(VERSION).tar.gz $(PRODUCT)-$(VERSION)
	-rm -fr $(PRODUCT)-$(VERSION)

gem: $(PRODUCT)-$(VERSION).gem
$(PRODUCT)-$(VERSION).gem: $(PRODUCT).gemspec
	gem build $<

wwwupload:
	$(MAKE) www WWWDRYRUN=
www: $(DOCSRC) $(DOCS)
	rsync $(WWWDRYRUN) -auv -e ssh --delete \
	  --exclude='.svn' --exclude='.git' \
	  $(DOCSRC) $(DOCS) \
	  $(WWWUSER)@$(WWWSITE):$(WWWSITEPATH)

clean:
	-rm -fr $(DOCS)
	-rm -fr $(TESTLOGS)

distclean: clean
	-rm -fr $(PRODUCT)-$(VERSION).tar.gz
	-rm -fr $(PRODUCT)-$(VERSION).gem

.PHONY:	all testall test docs install uninstall dist gem \
	wwwupload www clean distclean

=== debian/changelog ===
docdiff (0.5.0-1) unstable; urgency=low

  * New upstream release

 -- Kenshi Muto <kmuto@debian.org>  Tue, 07 Oct 2014 20:05:49 +0900

## docdiff 0.5.0+git20151014

=== debian/changelog ===
docdiff (0.5.0+git20151014-1) unstable; urgency=low

  * New upstream release in GitHub.
    - Removed devutil/JIS0208.TXT to follow its terms of use. (Closes: #801497)
      Thanks Dmitry for finding this.

 -- Kenshi Muto <kmuto@debian.org>  Tue, 13 Oct 2015 09:06:22 +0900

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

%:
	dh $@

clean:
	dh clean
	-rm -f docdiff.1

override_dh_auto_build-indep:
	/usr/bin/docbook-to-man debian/manpage.sgml > docdiff.1

override_dh_auto_install:
	$(MAKE) DESTDIR=$(CURDIR)/debian/docdiff PREFIX=/usr install
	sed -e "s/\/usr\/bin\/env ruby/\/usr\/bin\/ruby/" -i $(CURDIR)/debian/docdiff/usr/bin/docdiff
	rm $(CURDIR)/debian/docdiff/usr/share/docdiff/viewdiff.rb
	mv $(CURDIR)/debian/docdiff/usr/share/docdiff/* $(CURDIR)/debian/docdiff/usr/lib/ruby/vendor_ruby/
	rm -rf $(CURDIR)/debian/docdiff/usr/share/docdiff
	rm $(CURDIR)/debian/docdiff/usr/share/doc/docdiff/ChangeLog
	install -o root -g root -m 0644 docdiff.1 $(CURDIR)/debian/docdiff/usr/share/man/man1

## docdiff 0.5.0+git20160313

=== Makefile ===
--- 
+++ 
@@ -1,3 +1,5 @@
+# Warning: this Makefile is obsolete, use Rakefile instead
+
 PRODUCT = docdiff
 VERSION = $(shell $(RUBY) -r./lib/docdiff/version.rb -e 'Docdiff::VERSION.display')
 RUBY = ruby

=== debian/changelog ===
docdiff (0.5.0+git20160313-2) unstable; urgency=medium

  * QA upload.
  * Set Debian QA Group as maintainer. (see #918886)
  * Using new DH level format: Consequently:
    - debian/compat: removed.
    - debian/control: changed from 'debhelper' to 'debhelper-compat' in 
      Build-Depends field and bumped to level 13.
  * debian/control: bumped Standards-Version 4.5.0.

 -- Jose Nicodemos Vitoriano de Oliveira <nicovitoriano@gmail.com>  Sat, 09 May 2020 15:34:08 -0300

docdiff (0.5.0+git20160313-1) unstable; urgency=low

  * New upstream release in GitHub.
    - use Mutex#synchronize instead of Thread.exclusive (Closes: #818043)

 -- Kenshi Muto <kmuto@debian.org>  Sun, 13 Mar 2016 14:36:14 +0900

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: docdiff
 Section: text
 Priority: optional
-Maintainer: Kenshi Muto <kmuto@debian.org>
-Build-Depends: debhelper (>= 9), cdbs (>= 0.4.27)
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Build-Depends: debhelper-compat (= 13)
 Build-Depends-Indep: ruby, ruby-dev, docbook-to-man
-Standards-Version: 3.9.3
+Standards-Version: 4.5.0
 Homepage: http://sourceforge.net/projects/docdiff
 
 Package: docdiff

## docdiff 0.6.0

=== debian/changelog ===
docdiff (0.6.0-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
  * Ran wrap-and-sort.
  * debian/clean: created.
  * debian/control:
      - Added 'Rules-Requires-Root: no' to source stanza.
      - Added Vcs-* fields pointing to Salsa.
      - Update Homepage field.
  * debian/copyright:
      - Migrated to 1.0 format.
      - Updated all data.
  * debian/dirs: removed unnecessary directories (created automatically).
  * debian/doc-base: created to list HTML documentation.
  * debian/lintian-overrides: created to suppress lintian about examples
    encoding.
  * debian/manpages: created.
  * debian/rules: simplified.
      - ChangeLog file is installed automatically now.
      - DH_OPTION export isn't needed.
      - Removed clean rule in favor of debian/clean.
      - Removed duplicate directory usr/share/doc/docdiff/sample. Same as
        usr/share/doc/docdiff/example.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.
  * debian/tests/*: created to perform tests.
  * debian/upstream/metadata: created.
  * debian/watch: created.

 -- Carlos Henrique Lima Melara <charlesmelara@outlook.com>  Sat, 24 Oct 2020 17:57:01 -0300

=== debian/control ===
Source: docdiff
Section: text
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: docbook-to-man, ruby, ruby-dev
Standards-Version: 4.5.0
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/debian/docdiff.git
Vcs-Browser: https://salsa.debian.org/debian/docdiff
Homepage: https://github.com/hisashim/docdiff/

Package: docdiff
Architecture: all
Depends: ruby | ruby-interpreter, ${misc:Depends}
Suggests: httpd
Description: Compares two files word by word / char by char
 DocDiff compares two files and shows the difference.  It can compare files
 word by word, char by char, or line by line.
 .
 It has several output formats such as HTML/XHTML, tty, Manued, or
 user-defined markup.  It supports several encodings and end-of-line
 characters, including ASCII, UTF-8, EUC-JP, Shift_JIS, CR, LF, and CRLF.

=== debian/tests/control ===
Test-Command: docdiff --help
Restrictions: superficial

Test-Command: docdiff --version
Restrictions: superficial

Test-Command: docdiff --license
Restrictions: superficial

Test-Command: docdiff --author
Restrictions: superficial

Tests: wdiff, wdiff-char, wdiff-digest

=== debian/watch ===
version=4
https://github.com/hisashim/docdiff/releases .*/archive/v?\.?@ANY_VERSION@@ARCHIVE_EXT@

## docdiff 0.6.1

=== Makefile ===
--- 
+++ 
@@ -30,7 +30,6 @@
 
 testall:
 	$(MAKE) test RUBY=ruby1.9.1
-	$(MAKE) test RUBY=ruby1.8
 
 test: $(TESTLOGS)

=== debian/changelog ===
docdiff (0.6.1-2) unstable; urgency=medium

  * QA upload.
  * debian/control:
     - Bump Standards-Version to "4.7.2".
     - Remove ruby-interpreter from Depends.
     - Remove Rules-Requires-Root field.
  * debian/copyright: Update packaging copyright information.
  * debian/lintian-overrides: Update to make it compliant with
    new lintian tags.
  * debian/watch: Update to version 5.

 -- Arthur Martins de Oliveira <arthur_mo@hotmail.com>  Mon, 24 Nov 2025 21:02:38 -0300

docdiff (0.6.1-1) unstable; urgency=medium

  * QA upload.
  * d/watch: look for tags instead of releases
  * New upstream version 0.6.1
  * Declare compliance with Debian Policy 4.7.0
  * d/p/0001-Fix-autopkgtest-regression-with-ruby3.3.patch: replace usage of
    3-argument Regexp.new

 -- Lucas Kanashiro <kanashiro@debian.org>  Mon, 27 Jan 2025 06:02:16 -0300

docdiff (0.6.0-2) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Apply multi-arch hints. + docdiff: Add :any qualifier for ruby dependency.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 17 Oct 2022 11:48:21 +0100

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,14 @@
 Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper-compat (= 13)
 Build-Depends-Indep: docbook-to-man, ruby, ruby-dev
-Standards-Version: 4.5.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/debian/docdiff.git
 Vcs-Browser: https://salsa.debian.org/debian/docdiff
 Homepage: https://github.com/hisashim/docdiff/
 
 Package: docdiff
 Architecture: all
-Depends: ruby | ruby-interpreter, ${misc:Depends}
+Depends: ruby:any, ${misc:Depends}
 Suggests: httpd
 Description: Compares two files word by word / char by char
  DocDiff compares two files and shows the difference.  It can compare files

=== debian/watch ===
Version: 5

Template: Github
Owner: hisashim
Project: docdiff
